be.fgov.ehealth.standards.kmehr.mycarenet.schema.v1

## Class DateType

- java.lang.Object
- - be.fgov.ehealth.standards.kmehr.mycarenet.schema.v1.MomentType
  - - be.fgov.ehealth.standards.kmehr.mycarenet.schema.v1.DateType

- All Implemented Interfaces:
    Serializable

      @Generated(value="com.sun.tools.xjc.Driver",
                 date="2022-12-09T11:01:38+01:00",
                 comments="JAXB RI v2.2.11")
      public class DateType
      extends MomentType
      implements Serializable

  Java class for dateType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="dateType">
         <complexContent>
           <restriction base="{http://www.ehealth.fgov.be/standards/kmehr/schema/v1}momentType">
             <choice>
               <choice>
                 <element name="year" type="{http://www.w3.org/2001/XMLSchema}gYear"/>
                 <element name="yearmonth" type="{http://www.w3.org/2001/XMLSchema}gYearMonth"/>
               </choice>
               <sequence>
                 <element name="date" type="{http://www.w3.org/2001/XMLSchema}date"/>
                 <element name="time" type="{http://www.w3.org/2001/XMLSchema}time" minOccurs="0"/>
               </sequence>
             </choice>
           </restriction>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DateType()`

  - ### Method Summary

    - ### Methods inherited from class be.fgov.ehealth.standards.kmehr.mycarenet.schema.v1.MomentType

      `getDate, getText, getTime, getYear, getYearmonth, setDate, setText, setTime, setYear, setYearmonth`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DateType

          public DateType()

Connector Packaging TRUSSMAKER 4.3.0-beta-3 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.